> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a SubmissionForm



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json patch /api/entities/submissionform/{id}
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/submissionform/{id}:
    patch:
      tags:
        - SubmissionForm
      summary: Update a SubmissionForm
      operationId: updateSubmissionForm
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmissionForm'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  updated:
                    type: boolean
                type: object
          description: Updated
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Not found
      security:
        - BearerAuth: []
components:
  schemas:
    SubmissionForm:
      properties:
        closesAt:
          format: date-time
          type: string
        confirmationMessage:
          type: string
        createdAt:
          format: date-time
          type: string
        description:
          type: string
        eventId:
          type: string
        fieldsJson:
          description: Arbitrary JSON value
        handoffMappingsJson:
          description: Arbitrary JSON value
        id:
          type: string
        name:
          type: string
        opensAt:
          format: date-time
          type: string
        orgId:
          type: string
        routingJson:
          description: Arbitrary JSON value
        slug:
          type: string
        status:
          type: string
      required:
        - id
        - orgId
        - eventId
        - name
        - slug
        - status
        - createdAt
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````